
QGIS Application - Bug report #20766

QGIS 3.4.2 crashes upon exit

2018-12-10 09:33 PM - Brian Tolley

Status: Closed

Priority: High

Assignee:

Category: Windows Package

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 7 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28586

Description

User Feedback

Closing QGIS make the crash happen. I have uninstalled the software and reinstalled it 3 times.

Report Details

Crash ID: 8cf0bb2584ca9e01e5c08feefa41d8d8ab4f4e48

Stack Trace

QMapNodeBase::nextNode :

QgsPluginLayerRegistry::~QgsPluginLayerRegistry :

QgsPathResolver::QgsPathResolver :

QgsApplication::~QgsApplication :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 20720: "QGIS 3 quit unexpectedly." Closed 2018-12-04

History

#1 - 2018-12-11 11:15 AM - Saber Razmjooei

- Assignee deleted (Jürgen Fischer)

- Status changed from Open to Feedback

Have you tried it with no 3rd party plugins and a clean profile?
#2 - 2018-12-11 11:16 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2018-12-11 01:21 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

#20697

#4 - 2018-12-11 01:21 PM - Giovanni Manghi

- Duplicates Bug report #20697: QGIS 3.4.2 crashes on exit added

#5 - 2018-12-12 08:41 AM - Jürgen Fischer

- Duplicates deleted (Bug report #20697: QGIS 3.4.2 crashes on exit)

#6 - 2018-12-12 08:43 AM - Jürgen Fischer

- Duplicates Bug report #20720: "QGIS 3 quit unexpectedly." added
